Subject: Re: bug#67126: eshell breaking tramp-remote-path
From: Jim Porter <[email-masked]>
To: Xiaoyue Chen <[email-masked]>, [email-masked]
Date: Sun, 12 Nov 2023 12:18:11 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.1

On 11/12/2023 12:52 AM, Xiaoyue Chen wrote:
> Tags: patch
> 
> Hello,
> 
> Commit 2af092741e5 broke tramp-remote-path, making eshell unusable for
> sudo, ssh, etc. So any emacs version after that is effected. I found the
> issue on emacs 29.1.90.

Thanks for the fix! I tried your patch and everything seems ok, plus 
it's obviously correct by inspection.

Applied on the master branch as 52afc64bad7 and the emacs-29 branch as 
5bebd292c63. (I accidentally merged to master first. Oh well.) Closing 
this now.